# Uses of Class
org.apache.sling.event.impl.jobs.JobHandler

Packages that use JobHandler
Package
Description
org.apache.sling.event.impl.jobs.queues

## Uses of JobHandler in org.apache.sling.event.impl.jobs.queues

Methods in org.apache.sling.event.impl.jobs.queues that return JobHandler
Modifier and Type
Method
Description
`JobHandler`
QueueJobCache.`getNextJob(JobConsumerManager jobConsumerManager, StatisticsManager statisticsManager, org.apache.sling.event.jobs.Queue queue, boolean doFull)`
Get the next job.
Methods in org.apache.sling.event.impl.jobs.queues with parameters of type JobHandler
Modifier and Type
Method
Description
`void`
QueueJobCache.`reschedule(String queueName, JobHandler handler, StatisticsManager statisticsManager)`
Reschedule a job Reschedule the job and add it back into the cache.
Constructors in org.apache.sling.event.impl.jobs.queues with parameters of type JobHandler
Modifier
Constructor
Description
``
`JobExecutionContextImpl(JobHandler handler, JobExecutionContextImpl.ASyncHandler asyncHandler)`